Google Rolls Out – Android Security Update for Nexus Devices

Google Rolls Out – Android Security Update for Nexus Devices

211
0
Nexus Device

Google Rolls Out – Android Security Update for Nexus Devices: As expected, Google has released its monthly security update for the Nexus range of devices. Apart from the monthly security update, Google now has also released on the developer site the latest Nexus factory images.Nexus Device

Google Rolls Out – Android Security Update for Nexus Devices

The company stated that the source code had patches for the new issues that will be released on the AOSP i.e. Android Open Source Project repository over the next 48 hours. On April 4, Google notes that the partner OEMs were notified about the issues that would likely to described in the May bulletin. One of the issues that was most severe was a critical security vulnerability that could enable the remote code execution on an affected device through the multiple methods that includes web browsing, email and MMs while processing the media files.

According to Google,

– The latest build MTC19T will be available for Nexus 5X and Nexus 6P

– The MOB30G Nexus Player for Nexus 9 LTE and Nexus 9

– The MOB301 build will be available for the Nexus 6

– The MOB30J build will be available for Nexus 7 3G and Nexus 7 (2013)

– The MXC89F for the Pixel C

With the May security bulletin one of the most notable changes announced was that Google has renamed the bulletin to the Android Security Bulletin. Previously, it was dubbed with the Nexus security bulletin.

Also Read: Guess Google CEO Sundar Pichai’s salary for 2015

Google has also updated the Android Security severity ratings which were based on the result of the data that was collected over the last six months. The bulletin says that there were no reports of the active customer exploitation or abuse of these newly reported issues.

Also Read: Google offers Traffic Alerts for Android, iOS in India

The critical security vulnerabilities that was fixed in the update by Google including the remote code execution vulnerability in media server, which will allow an attacker to cause memory corruption if left untreated.